/* AsmBuilder.cpp */

#include "AsmBuilder.hpp"

void AsmBuilder::changeSection(std::string name) {
	if (sections.find(name) == sections.end()) {
		sections.emplace(name, Section());
	}
	curSection = &sections[name];
}

uint32_t AsmBuilder::getCurrentSectionOffset() {
	return curSection->data.size();
}

/* */

void AsmBuilder::raw8s(std::initializer_list<uint8_t> vals) {
	for (auto i = vals.begin(); i != vals.end(); ++i) {
		this->raw8(*i);
	}
}
